# dmd.id

Contains the `Id` struct with a list of predefined symbols the compiler knows about.

#### Authors

Walter Bright

#### License

Boost License 1.0

Source: id.d

Documentation: https://dlang.org/phobos/dmd_id.html

Coverage: https://codecov.io/gh/dlang/dmd/src/master/src/dmd/id.d

- `Id`

  #### Declaration

  `struct `Id`;`

  Represents a list of predefined symbols the compiler knows about.

  #### Discussion

  All static fields in this struct represents a specific predefined symbol.

  - `initialize`

    #### Declaration

    `static void `initialize`();`

    Populates the identifier pool with all predefined symbols.

    #### Discussion

    An identifier that corresponds to each static field in this struct will be placed in the identifier pool.

  - `deinitialize`

    #### Declaration

    `static void `deinitialize`();`

    Deinitializes the global state of the compiler.

    #### Discussion

    This can be used to restore the state set by `initialize` to its original state.